[arch-commits] CVS update of extra/network/gnome-bluetooth (2 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 17:33:21 UTC 2007


    Date: Sunday, April 22, 2007 @ 13:33:21
  Author: jgc
    Path: /home/cvs-extra/extra/network/gnome-bluetooth

Modified: PKGBUILD (1.14 -> 1.15) gnome-bluetooth.install (1.2 -> 1.3)

upgpkg: gnome-bluetooth 0.8.0-5
Move to /usr


-------------------------+
 PKGBUILD                |   39 ++++++++++++++++++++-------------------
 gnome-bluetooth.install |   12 +++++++-----
 2 files changed, 27 insertions(+), 24 deletions(-)


Index: extra/network/gnome-bluetooth/PKGBUILD
diff -u extra/network/gnome-bluetooth/PKGBUILD:1.14 extra/network/gnome-bluetooth/PKGBUILD:1.15
--- extra/network/gnome-bluetooth/PKGBUILD:1.14	Mon Mar  5 17:29:59 2007
+++ extra/network/gnome-bluetooth/PKGBUILD	Sun Apr 22 13:33:21 2007
@@ -1,35 +1,36 @@
-# $Id: PKGBUILD,v 1.14 2007/03/05 22:29:59 simo Exp $
-# Maintainer: Mark Rosenstand <mark at archlinux.org>
+# $Id: PKGBUILD,v 1.15 2007/04/22 17:33:21 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
 pkgname=gnome-bluetooth
 pkgver=0.8.0
-pkgrel=4
+pkgrel=5
 pkgdesc="The GNOME Bluetooth Subsystem."
 arch=(i686 x86_64)
 url="http://www.usefulinc.com/software/gnome-bluetooth/"
-license=(GPL)
-depends=('libbtctl>=0.8.1' 'libgnomeui>=2.16.0')
-makedepends=('gob2' 'intltool' 'pkgconfig')
+license=('GPL' 'LGPL')
+depends=('libbtctl>=0.8.1' 'libgnomeui>=2.18.1-2')
+makedepends=('gob2' 'intltool' 'pkgconfig' 'python>=2.5')
 options=('nolibtool')
 install=gnome-bluetooth.install
-source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/0.8/${pkgname}-${pkgver}.tar.bz2 libegg-mustdie.patch)
+source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/0.8/${pkgname}-${pkgver}.tar.bz2
+        libegg-mustdie.patch)
 md5sums=('d1d3cae71e7f06b2c6f089cef3b68802' 'fa70e98a69d8ed7667cdb47a1feb335d')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np0 -i ${startdir}/src/libegg-mustdie.patch || return 1
-  gnome-autogen.sh 
-  ./configure --prefix=/opt/gnome
+  aclocal || return 1
+  autoconf || return 1
+  automake || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var
+  sed -e 's|^pythondir = /usr|pythondir = |' \
+      -e 's|^pydir = /usr|pydir = |' \
+      -i src/Makefile
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
      
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-
-  mkdir -p ${startdir}/pkg/usr/lib
-  mv ${startdir}/pkg/usr/opt/gnome/lib/python2.4 \
-     ${startdir}/pkg/usr/lib/python2.4
-  rm -rf ${startdir}/pkg/usr/opt
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }
Index: extra/network/gnome-bluetooth/gnome-bluetooth.install
diff -u extra/network/gnome-bluetooth/gnome-bluetooth.install:1.2 extra/network/gnome-bluetooth/gnome-bluetooth.install:1.3
--- extra/network/gnome-bluetooth/gnome-bluetooth.install:1.2	Fri Sep 29 14:04:16 2006
+++ extra/network/gnome-bluetooth/gnome-bluetooth.install	Sun Apr 22 13:33:21 2007
@@ -1,8 +1,8 @@
 pkgname=gnome-bluetooth
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
   update-desktop-database -q
 }
 
@@ -15,14 +15,16 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
   
-  opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 post_remove() {




More information about the arch-commits mailing list